<?xml version="1.0" encoding="UTF-8"?>
<widgets xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Widget:etc/widget.xsd">

    <widget id="rshb_intech_subscription" class="RSHBIntech\Subscriptions\Block\Widget\Subscription">
        <label translate="true">Subscription Form</label>
        <description translate="true">Form for getting user email, phone, telegram, etc.</description>

        <parameters>
            <parameter name="enabled" xsi:type="select" required="true" visible="true" source_model="Magento\Config\Model\Config\Source\Yesno">
                <label translate="true">Enabled</label>
                <description translate="true">Enable/Disable widget output</description>
            </parameter>

            <parameter name="template" xsi:type="select" visible="true" required="true">
                <label translate="true">Template</label>
                <options>
                    <option name="default_template" value="widget/subscription.phtml">
                        <label translate="true">Default Template</label>
                    </option>
                </options>
            </parameter>
        </parameters>
    </widget>
</widgets>
